%define packagename CDB_File-BiIndex
%define packageversion 0.025
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    CDB_File-BiIndex-0.025.tar.gz
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/CDB_File-BiIndex-0.025
Provides:  perl-%{packagename}
Summary:   The Perl package CDB_File-BiIndex

%description
This package contains the perl module CDB_File-BiIndex.

A CDB_File::BiIndex stores a set of relations from one set of strings to
another.  It's rather similar to a translators dictionary with a list
of words in one language linked to words in the other language.  The
same word can occur in each language, but it's translations would often
be different.

I    <->  je
{bar, pub}  <->  bar
{truck, lorry, heavy goods vehicle} <-> camion

In this implementation it's just two parallel cdb hashes, which you
have to generate in advance.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n CDB_File-BiIndex-0.025



%build
CFLAGS="$RPM_OPT_FLAGS" perl  Makefile.PL 
make



%install
rm -rf $RPM_BUILD_ROOT



#run install script first so we can pick up all of the files


eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v ".packlist" > CDB_File-BiIndex0.025.filelist
if [ "$(cat CDB_File-BiIndex0.025.filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi



%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f CDB_File-BiIndex0.025.filelist

%doc README
%doc COPYING


%changelog
* Thu Nov 22 2001 20:27:37 autogenerated
- by  <root@localhost.localdomain>
- using MakeRPM:
- makerpm 0.210 2001/01/17, (C) 1999 Jochen Wiedmann (C) 2001 Michael De La Rue
- $Id: makerpm.pl,v 1.20 2001/06/02 19:57:56 mikedlr Exp $
